/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package web;

import ejb.Users;
import ejb.UsersFacade;
import java.io.IOException;
import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


/**
 *
 * @author sinem
 */
@WebServlet(name="Activation", urlPatterns={"/Activation"})
public class Activation extends HttpServlet {
    @EJB
    private UsersFacade usersFacade;


    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        request.setCharacterEncoding("UTF-8");
        response.setCharacterEncoding("UTF-8");

         String userFromURL=null;
         String url=request.getQueryString();
         if(url != null) {
            if(url.indexOf('=') != -1) {
                userFromURL = url.substring(url.indexOf('=')+1);
                Users u = usersFacade.find(usersFacade.getIdByUser(userFromURL));
                u.setActive(true);
                usersFacade.edit(u);
                boolean activated = usersFacade.find(u.getId()).isActive();
                if(activated) {
                    HttpSession session = request.getSession(true);
                    session.invalidate();
                    session = request.getSession(true);
                    session.setAttribute("userName", userFromURL);
                    session.setAttribute("type", 2);
                    session.setAttribute("activated", true);
                    usersFacade.edit(u);


                    response.sendRedirect("ListNews");
                }
            }
         }
        }


    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
